org.jetlang.remote.acceptor

## Class JetlangSessionConfig

- java.lang.Object
- - org.jetlang.remote.acceptor.JetlangSessionConfig

    public class JetlangSessionConfig
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JetlangSessionConfig()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getHeartbeatIntervalInMs()`
`int` `getReadTimeoutInMs()`
`int` `getReceiveBufferSize()`
`int` `getSendBufferSize()`
`boolean` `getTcpNoDelay()`
`void` `setHeartbeatIntervalInMs(int ms)`
`void` `setReadTimeoutInMs(int readTimeoutInMs)`
`void` `setReceiveBufferSize(int receiveBufferSize)`
`void` `setSendBufferSize(int sendBufferSize)`
`void` `setTcpNoDelay(boolean tcpNoDelay)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JetlangSessionConfig

    public JetlangSessionConfig()

### Method Detail

#### setHeartbeatIntervalInMs

    public void setHeartbeatIntervalInMs(int ms)

#### getHeartbeatIntervalInMs

    public int getHeartbeatIntervalInMs()

#### getTcpNoDelay

    public boolean getTcpNoDelay()

#### setTcpNoDelay

    public void setTcpNoDelay(boolean tcpNoDelay)

#### getReceiveBufferSize

    public int getReceiveBufferSize()

#### getSendBufferSize

    public int getSendBufferSize()

#### setReceiveBufferSize

    public void setReceiveBufferSize(int receiveBufferSize)

#### setSendBufferSize

    public void setSendBufferSize(int sendBufferSize)

#### getReadTimeoutInMs

    public int getReadTimeoutInMs()

#### setReadTimeoutInMs

    public void setReadTimeoutInMs(int readTimeoutInMs)